///////////////////////////////
#include <acknex.h>
#include <default.c>

///////////////////////////////

action acknex_loop()
{
	while (1)
	{
		my.frame += 0.8 * time_step;
		if (my.frame >= 30) my.frame -= 29;	
		wait (1);
	}
}

action explosion()
{
	my.ambient = 100;	
	my.flags |= BRIGHT;
	while(1) 
	{
		while (!key_e) wait (1);
		for (my.frame=0; my.frame<12; my.frame += 0.7 * time_step) wait (1);
	}
}

function main()
{
	vec_set(sky_color,vector(1,1,1));	// almost black sky
	level_load(""); // load empty level
	ent_create("logo+29.pcx", vector(300,100,0), acknex_loop);
	ent_create("explo+11.tga", vector(300,-100,0), explosion);
}