///////////////////////////////
#include <acknex.h>
#include <default.c>

///////////////////////////////

BMAP* crosshair_pcx = "crosshair.pcx"; // the bitmap used for our crosshair

////////////////////////////////////////////////////////////////////////////////////

function rotate_bone()
{
	my.pan = -180; // face the camera
	var walk_speed = 0; // stores robot's walking speed
	ANGLE bone_angle; // a vector that holds the pan, tilt and roll angles
	while(1)
  	{
  		walk_speed += 2 * time_step; // increase walk_speed, "2" sets the animation speed
  		ent_animate(my, "walk", walk_speed, ANM_CYCLE); // animate the model (use "walk")
		bone_angle.pan = (mouse_pos.x - screen_size.x / 2) / 10; // changes pan from -40 to +40 degrees
		bone_angle.tilt = (screen_size.y / 2 - mouse_pos.y) / 10; // changes tilt from -30 to +30 degrees
		bone_angle.roll = 0; // no need to change the roll angle for this bone
		ent_bonereset(my,"CA4");
		ent_bonerotate(my,"CA4", bone_angle); // rotate the bone named "CA4"
		wait(1);	
	}
}

function main()
{
	level_load (""); // load an empty level
	ent_create("robot.mdl", vector(400, 0, -50), rotate_bone); // and then create the robot model
	mouse_map = crosshair_pcx; // set the bitmap that is going to be used by the mouse pointer
	mouse_mode = 4; // activate mouse 
}