///////////////////////////////
#include <acknex.h>
#include <default.c>

///////////////////////////////

var walk_percentage;
var death_percentage;

function main()
{
	video_mode = 7;
	level_load ("work21.wmb");
	wait (2); // wait until the level is loaded 
	camera.z = 120; // choose a convenient height
	camera.tilt = -15; // and tilt angle for the camera
}

action walking_guard()
{ 
	while (1) 
	{ 
		ent_animate(my,"walk",walk_percentage, ANM_CYCLE); // "walk" animation loop
		walk_percentage += 3 * time_step; // 3 = animation speed for "walk"
		wait (1); 
	} 
} 

action dead_guard()
{ 
	wait (-5); // wait 5 seconds
	while (1) 
	{ 
		ent_animate(my, "death", death_percentage, 0); // "death" one-shot animation 
		death_percentage += 3 * time_step; // 2  = animation speed for "death"
		wait (1); 
	} 
}